use bevy::prelude::*;
use bevy_rapier2d::prelude::*;
use player::{add_player, move_player};
use some_bevy_tools::{camera_2d::Camera2DPlugin, controller_2d::SimpleTopDownControllerPlugin};

mod player;
mod scene;

fn main() {
    App::new()
        .insert_resource(RapierConfiguration {
            gravity: Vec2::new(0.0, 0.0),
            ..Default::default()
        })
        .add_plugins(DefaultPlugins)
        .add_plugins(RapierPhysicsPlugin::<NoUserData>::pixels_per_meter(64.0))
        .add_plugins(RapierDebugRenderPlugin::default())
        .add_plugins(Camera2DPlugin)
        .add_plugins(SimpleTopDownControllerPlugin)
        .add_systems(Startup, (scene::setup_scene, add_player))
        .add_systems(Update, move_player)
        .run();
}
